/*
 * $Id: RpcTimeout.java 383 2011-05-23 12:50:02Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 23, 2007 by may
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/vertico-xml-rpc/trunk/src/de/starface/com/rpc/annotation/Timeout.java $
 * 
 * $LastChangedDate: 2011-05-23 14:50:02 +0200 (Mon, 23 May 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 383 $
 */
package de.starface.com.rpc.annotation;

import de.starface.com.rpc.RpcException;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Defines the maximum processing time for a synchronous RPC remote procedure call. If the call does
 * not return in time the client will throw an {@link RpcException} with code
 * {@link RpcException.Codes.Client#NO_RESPONSE_FROM_SERVER}
 *
 * @author may
 */
@Inherited
@Retention(RUNTIME)
@Target({METHOD, TYPE})
public @interface RpcTimeout {
	/**
	 * Specifies the timeout for all calls without an annotation to be 30 seconds. Change this value
	 * to change the behavior for all these calls.
	 */
	public static long DEFAULT_CALL_TIMEOUT = 30 * 1000L;

	/**
	 * Specifies the timeout for the call. If no explicit value is given 30 seconds is used.
	 */
	long value() default 30 * 1000L;
}
