package de.starface.com.rpc.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * This annotation merely serves as a means to attach multiple {@link RpcValue} annotations to a
 * single field in an {@link RpcValueObject}.
 *
 * @author tilmann
 */
@Documented
@Inherited
@Retention(RUNTIME)
@Target(FIELD)
public @interface RpcValues {
	RpcValue[] value();

}
