package de.starface.com.rpc.client;

import de.starface.com.rpc.common.RequestProcessor;
import de.starface.com.rpc.common.RpcTransportToken;

/**
 * A request processor for outgoing requests that is used to hide the different transport protocol
 * implementations from the preprocessing logic of the request.
 *
 * @author tilmann
 *
 * @param <TransportToken>
 *        the transport token type of the request
 */
public interface OutgoingRequestProcessor<TransportToken extends RpcTransportToken> extends
	RequestProcessor<OutgoingRequest<TransportToken>> {
	// A RequestProcessor for OutgoingRequest
}
