package de.starface.com.rpc.server;

import de.starface.com.rpc.common.RpcTransportToken;

/**
 * An abstract factory used to crate {@link RequestExecutor}s on the server side.
 *
 * @author tilmann
 *
 * @param <TransportToken>
 *        the transport token type of the created request executors
 */
public interface RequestExecutorFactory<TransportToken extends RpcTransportToken> {
	/**
	 * Create a new {@link RequestExecutor}
	 *
	 * @return the newly created {@link RequestExecutor}
	 */
	public RequestExecutor<TransportToken> createRpcRequestExecutor();
}
