package de.starface.com.rpc.server.interceptor;

import de.starface.com.rpc.RpcException;
import de.starface.com.rpc.common.RpcTransportToken;
import de.starface.com.rpc.common.interceptor.RequestInterceptorChainLink;
import de.starface.com.rpc.server.IncomingRequest;

/**
 * This request interceptor just forwards the request to the next interceptor.
 *
 * @author tilmann
 */
public class NoOperationRequestInterceptor implements IncomingRequestInterceptor<RpcTransportToken> {
	public static final NoOperationRequestInterceptor INSTANCE = new NoOperationRequestInterceptor();

	private NoOperationRequestInterceptor() {
		// private constructor
	}

	/**
	 * @see de.starface.com.rpc.common.interceptor.RpcRequestInterceptor#interceptRequest(de.starface.com.rpc.common.RpcRequest,
	 *      de.starface.com.rpc.common.interceptor.RequestInterceptorChainLink)
	 */
	public void interceptRequest(IncomingRequest<RpcTransportToken> request,
								 RequestInterceptorChainLink interceptorChain) throws RpcException {
		interceptorChain.processRequest();
	}
}
