package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.FileTransfer.State;

/**
 * This is an RPC value object that is send between client and server during a file download. It
 * represents the result of the completion of the download and contains the final state of the
 * download and the hashes of the downloaded file.
 *
 * @author tilmann
 */
@RpcValueObject
public class CompleteDownloadResult {
	@RpcValue
	private State fileTransferState;

	@RpcValue
	private FileEnd fileEnd;

	public CompleteDownloadResult() {
		// provide default constructor
	}

	public CompleteDownloadResult(State fileTransferState, FileEnd fileTransferEnd) {
		this.fileTransferState = fileTransferState;
		this.fileEnd = fileTransferEnd;
	}

	public State getFileTransferState() {
		return fileTransferState;
	}

	public FileEnd getFileEnd() {
		return fileEnd;
	}
}
