package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.FileTransfer.State;

/**
 * This is an RPC value object that is send between client and server during a file upload. It
 * represents the result of the completion of the upload and contains the final state of the upload
 *
 * @author tilmann
 */
@RpcValueObject
public class CompleteUploadResult {
	@RpcValue
	private State fileTransferState;

	public CompleteUploadResult() {
		// provide default constructor
	}

	public CompleteUploadResult(State fileTransferState) {
		this.fileTransferState = fileTransferState;
	}

	public State getFileTransferState() {
		return fileTransferState;
	}
}
