package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.services.filetransfer.FileTransfer.State;

/**
 * This is an RPC value object that is send between client and server during a file download. It
 * represents the result of the continuation of the download and contains the state of the download
 * and the transferred file block data
 *
 * @author tilmann
 */
@RpcValueObject
public class ContinueDownloadResult {
	@RpcValue
	private State fileTransferState;

	@RpcValue
	private FileBlock fileBlock;

	public ContinueDownloadResult() {
		// provide default constructor
	}

	public ContinueDownloadResult(State fileTransferState, FileBlock fileTransferBlock) {
		this.fileTransferState = fileTransferState;
		this.fileBlock = fileTransferBlock;
	}

	public State getFileTransferState() {
		return fileTransferState;
	}

	public FileBlock getFileBlock() {
		return fileBlock;
	}
}
