package de.starface.com.rpc.services.filetransfer.common;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

/**
 * This is an RPC value object that is send between client and server during a file transfer. It
 * contains the hash value of the whole file being transferred.
 *
 * @author tilmann
 */
@RpcValueObject
public class FileEnd {

	@RpcValue
	private byte[] fileDigest;

	public FileEnd(byte[] fileDigest) {
		this.fileDigest = fileDigest;
	}

	public FileEnd() {
		// Provide empty constructor
	}

	public byte[] getFileDigest() {
		return fileDigest;
	}
}
