package de.starface.com.rpc.xmlrpc;

/**
 * Implementations of this interface hold the information that is needed to send a response upon an
 * XML-RPC request.
 *
 * @author tilmann
 */
public interface XmlRpcResponse {
	/**
	 * @return {@code true} if this response is an XML-RPC fault
	 */
	public boolean isFault();

	/**
	 * @return the fault message if this response is an XML-RPC fault
	 */
	public String getFaultMessage();

	/**
	 * @return the fault code if this response is an XML-RPC fault
	 */
	public int getFaultCode();

	/**
	 * @return the result of the call if this response is not an XML-RPC fault
	 */
	public Object getResult();
}
