/*
 * $Id$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Jan 28, 2008 by may
 * 
 * $HeadURL$
 * 
 * $LastChangedDate$ $LastChangedBy$ $LastChangedRevision$
 */
package de.starface.com.rpc.xmlrpc.http;

import de.starface.com.rpc.client.OutgoingRequestProcessor;
import de.starface.com.rpc.client.RpcClient;
import de.starface.com.rpc.client.RpcClientBase;

/**
 * Implements a {@link HttpXmlRpcClient} for the use of HTTP.
 *
 * @author may
 */
public class HttpXmlRpcClient extends RpcClientBase<URL> {

	URL callbackServerUrl = null;

	public static RpcClient<URL> createWithDefaultServer(URL defaultServerUrl) {
		HttpXmlRpcClient client = new HttpXmlRpcClient();
		client.setDefaultServerTransportToken(defaultServerUrl);
		return client;
	}

	public static RpcClient<URL> createWithCallbackServer(URL callbackServerUrl) {
		HttpXmlRpcClient client = new HttpXmlRpcClient();
		client.setCallbackServerUrl(callbackServerUrl);
		return client;
	}

	public static RpcClient<URL> createWithDefaultAndCallbackServer(URL defaultServerUrl, URL callbackServerUrl) {
		HttpXmlRpcClient client = new HttpXmlRpcClient();
		client.setDefaultServerTransportToken(defaultServerUrl);
		client.setCallbackServerUrl(callbackServerUrl);
		return client;
	}

	private void setCallbackServerUrl(URL callbackServerUrl) {
		this.callbackServerUrl = callbackServerUrl;
	}

	@Override
	protected OutgoingRequestProcessor<URL> createOutgoingRequestProcessor() {
		return new HttpXmlRpcOutgoingRequestProcessor(callbackServerUrl);
	}
}
