package de.starface.com.rpc.xmlrpc.http;

import de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder;

/**
 * An {@link XmlRpcObjectBuilder} used for incoming HTTP XmlRpcObjects
 *
 * @author tilmann
 */
public class HttpXmlRpcObjectBuilder implements XmlRpcObjectBuilder {
	private XmlRpcObject buildResult;

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingRequest(String,
	 *      Object[])
	 */
	public void createIncomingRequest(String method, Object[] params) {
		buildResult = HttpXmlRpcRequest.createIncomingRequest(method, params);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingResponse(Object)
	 */
	public void createIncomingResponse(Object returnValue) {
		buildResult = HttpXmlRpcResponse.createIncomingResponse(returnValue);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingFaultResponse(int,
	 *      String)
	 */
	public void createIncomingFaultResponse(int faultCode, String faultString) {
		buildResult = HttpXmlRpcResponse.createIncomingFaultResponse(faultCode, faultString);
	}

	public XmlRpcObject getBuildResult() {
		return buildResult;
	}
}
