package de.starface.com.rpc.xmlrpc.smack;

import de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder;

import org.jivesoftware.smack.packet.IQ;

/**
 * An {@link XmlRpcObjectBuilder} used for incoming XMPP Packets
 *
 * @author tilmann
 */
public class XmppXmlRpcObjectBuilder implements XmlRpcObjectBuilder {
	private IQ buildResult;

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingRequest(String,
	 *      Object[])
	 */
	public void createIncomingRequest(String method, Object[] params) {
		buildResult = XmlRpcRequestPacket.createIncomingRequest(method, params);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingResponse(Object)
	 */
	public void createIncomingResponse(Object returnValue) {
		buildResult = XmlRpcResponsePacket.createIncomingResponse(returnValue);
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.XmlRpcObjectBuilder#createIncomingFaultResponse(int,
	 *      String)
	 */
	public void createIncomingFaultResponse(int faultCode, String faultString) {
		buildResult = XmlRpcResponsePacket.createIncomingFaultResponse(faultCode, faultString);
	}

	public IQ getBuildResult() {
		return buildResult;
	}
}
