/*
 * $Id: XmlRpcBase64.java 234 2010-01-27 14:54:46Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 26, 2007 by may
 * 
 * $HeadURL: http://192.168.2.8/repos/starface-xml-rpc/trunk/src/de/starface/com/rpc/xmlrpc/types/XmlRpcBase64.java $
 * 
 * $LastChangedDate: 2010-01-27 15:54:46 +0100 (Wed, 27 Jan 2010) $ $LastChangedBy: tilmann $ $LastChangedRevision: 234 $
 */
package de.starface.com.rpc.xmlrpc.types;

/**
 * The base64 type in XML-RPC.
 * <ul>
 * <li>Tag: {@code <base64>}</li>
 * <li>Type: base64-encoded binary</li>
 * <li>Example: eW91IGNhbid0IHJlYWQgdGhpcyE=</li>
 * </ul>
 *
 * @author may
 *
 */
public class XmlRpcBase64 implements XmlRpcType {
	private final byte[] _value;

	public XmlRpcBase64(byte[] value) {
		_value = value.clone();
	}

	public byte[] getValue() {
		return _value.clone();
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.types.XmlRpcType#getJavaType()
	 */
	public Class<?> getJavaType() {
		return byte[].class;
	}
}
