/*
 * $Id: XmlRpcDateTime.java 234 2010-01-27 14:54:46Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Nov 26, 2007 by may
 * 
 * $HeadURL: http://192.168.2.8/repos/starface-xml-rpc/trunk/src/de/starface/com/rpc/xmlrpc/types/XmlRpcDateTime.java $
 * 
 * $LastChangedDate: 2010-01-27 15:54:46 +0100 (Wed, 27 Jan 2010) $ $LastChangedBy: tilmann $ $LastChangedRevision: 234 $
 */
package de.starface.com.rpc.xmlrpc.types;

import java.util.Date;

/**
 * The date/time type in XML-RPC.
 * <ul>
 * <li>Tag: {@code <dateTime.iso8601>}</li>
 * <li>Type: date/time</li>
 * <li>Example: 19980717T14:08:55</li>
 * </ul>
 *
 * @author may
 *
 */
public class XmlRpcDateTime implements XmlRpcType {
	private final Date _value;

	public XmlRpcDateTime(Date value) {
		_value = (Date) value.clone();
	}

	public Date getValue() {
		return (Date) _value.clone();
	}

	/**
	 * @see de.starface.com.rpc.xmlrpc.types.XmlRpcType#getJavaType()
	 */
	public Class<?> getJavaType() {
		return null;
	}
}
