package de.starface.com.xmpp.smack;

/**
 * This interface can be implemented and registered to obtain events about the xmpp connection state
 * from an {@link XmppConnector}.
 *
 * @author tilmann
 *
 */
public interface XmppConnectorListener {
	/**
	 * A connection event has occurred.
	 *
	 * @param e
	 *        the event information
	 * @param source
	 *        the {@link XmppConnector} sending the event
	 */
	void onConnectionEvent(XmppConnector source, XmppConnectionEvent e);

	/**
	 * A connection failure has occurred
	 *
	 * @param e
	 *        the failure information
	 * @param source
	 *        the {@link XmppConnector} sending the event
	 */
	void onConnectionFailure(XmppConnector source, XmppConnectionException e);
}
