package de.starface.com.rpc.common;

import org.junit.jupiter.api.Test;

/**
 * Created by paul on 07.12.16.
 */
public class RpcThreadFactoryTest {
	@Test
	public void printStackTracesOfLiveThreads() throws Exception {
		final Object lock = new Object();
		final RpcThreadFactory threadGroup = new RpcThreadFactory("ThreadGroup");
		for (int i = 0; i < 5; i++) {
			threadGroup.newThread(new Runnable() {
				@Override
				public void run() {
					try {
						synchronized (lock) {
							lock.wait();
						}
					} catch (InterruptedException e) {
					}
				}
			}).start();
		}
		Thread.sleep(100);
		final CharSequence trace = threadGroup.printStackTracesOfLiveThreads();
		synchronized (lock){
			lock.notifyAll();
		}
		System.out.println(trace);
	}
}
