package de.starface.com.rpc.unittests.common.valuetranslation;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.annotation.RpcValueType;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@RpcValueObject
public class VTRpcValueTypeTestBean {
	@RpcValue(rpcType = RpcValueType.Boolean)
	String stringToBooleanField;

	@RpcValue(rpcType = RpcValueType.DateTime)
	String stringToDateTimeField;

	@RpcValue(rpcType = RpcValueType.Integer)
	String stringToIntegerField;

	@RpcValue(rpcType = RpcValueType.Double)
	String stringToDoubleField;

	public static VTRpcValueTypeTestBean createVTRpcValueTypeTestBean() {
		VTRpcValueTypeTestBean bean = new VTRpcValueTypeTestBean();
		bean.initValues();
		return bean;
	}

	private void initValues() {
		stringToBooleanField = "true";
		stringToDateTimeField = "1980-02-01T00:00:00";
		stringToIntegerField = new Integer(123456).toString();
		stringToDoubleField = new Double(123.456).toString();
	}

	@SuppressWarnings("deprecation")
	Map<String, Object> convertToMap() {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("stringToBooleanField", true);
		map.put("stringToDateTimeField", new Date(80, 1, 1));
		map.put("stringToIntegerField", 123456);
		map.put("stringToDoubleField", 123.456);
		return map;
	}

	@Override
	public String toString() {
		return "VTRpcValueTypeTestBean [stringToBooleanField=" + stringToBooleanField + ", stringToDateTimeField="
			+ stringToDateTimeField + ", stringToIntegerField=" + stringToIntegerField + ", stringToDoubleField="
			+ stringToDoubleField + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((stringToBooleanField == null) ? 0 : stringToBooleanField.hashCode());
		result = prime * result + ((stringToDateTimeField == null) ? 0 : stringToDateTimeField.hashCode());
		result = prime * result + ((stringToDoubleField == null) ? 0 : stringToDoubleField.hashCode());
		result = prime * result + ((stringToIntegerField == null) ? 0 : stringToIntegerField.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		VTRpcValueTypeTestBean other = (VTRpcValueTypeTestBean) obj;
		if (stringToBooleanField == null) {
			if (other.stringToBooleanField != null) {
				return false;
			}
		} else if (!stringToBooleanField.equals(other.stringToBooleanField)) {
			return false;
		}
		if (stringToDateTimeField == null) {
			if (other.stringToDateTimeField != null) {
				return false;
			}
		} else if (!stringToDateTimeField.equals(other.stringToDateTimeField)) {
			return false;
		}
		if (stringToDoubleField == null) {
			if (other.stringToDoubleField != null) {
				return false;
			}
		} else if (!stringToDoubleField.equals(other.stringToDoubleField)) {
			return false;
		}
		if (stringToIntegerField == null) {
			if (other.stringToIntegerField != null) {
				return false;
			}
		} else if (!stringToIntegerField.equals(other.stringToIntegerField)) {
			return false;
		}
		return true;
	}
}
