package de.starface.com.rpc.unittests.common.valuetranslation;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.com.rpc.annotation.RpcValues;

import java.util.HashMap;
import java.util.Map;

@RpcValueObject
public class VTRpcValuesTestBean {
	@RpcValues({@RpcValue("foo2"), @RpcValue("foo3")})
	@RpcValue(maxVersion = 1)
	String foo;

	@RpcValues({@RpcValue("bar2"), @RpcValue(value = "bar3", maxVersion = 1)})
	String bar;

	public static VTRpcValuesTestBean createVTRpcValuesTestBean() {
		VTRpcValuesTestBean bean = new VTRpcValuesTestBean();
		bean.initValues();
		return bean;
	}

	private void initValues() {
		foo = "foo";
		bar = "bar";
	}

	Map<String, Object> convertToMap() {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("foo", foo);
		map.put("foo2", foo);
		map.put("foo3", foo);
		map.put("bar3", bar);
		map.put("bar2", bar);
		return map;
	}

	@Override
	public String toString() {
		return "VTRpcValuesTestBean [foo=" + foo + ", bar=" + bar + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((bar == null) ? 0 : bar.hashCode());
		result = prime * result + ((foo == null) ? 0 : foo.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		VTRpcValuesTestBean other = (VTRpcValuesTestBean) obj;
		if (bar == null) {
			if (other.bar != null) {
				return false;
			}
		} else if (!bar.equals(other.bar)) {
			return false;
		}
		if (foo == null) {
			if (other.foo != null) {
				return false;
			}
		} else if (!foo.equals(other.foo)) {
			return false;
		}
		return true;
	}
}
