package de.starface.examples.uci30.swing.view;

import org.apache.commons.lang3.StringUtils;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Calendar;
import java.util.Date;

import javax.swing.JFormattedTextField.AbstractFormatter;

public class EmptyDateFormatter extends AbstractFormatter {
	private static final long serialVersionUID = 1L;

	@Override
	public Object stringToValue(String text) throws ParseException {
		Date dateValue = null;
		try {
			dateValue = parseDateTime(text);
		} catch (ParseException e) {
			setEditValid(false);
		}
		return dateValue;
	}

	public static Date parseDateTime(String dateTime) throws ParseException {
		DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.SHORT);
		dateFormat.setLenient(true);
		Date result = null;
		if (!StringUtils.isEmpty(dateTime)) {
			try {
				result = dateFormat.parse(dateTime);
			} catch (ParseException e1) {
				try {
					dateFormat = DateFormat.getDateInstance(DateFormat.MEDIUM);
					dateFormat.setLenient(true);
					result = dateFormat.parse(dateTime);
				} catch (ParseException e2) {
					dateFormat = DateFormat.getTimeInstance(DateFormat.SHORT);
					dateFormat.setLenient(true);
					result = dateFormat.parse(dateTime);
					Calendar calendar = Calendar.getInstance();
					calendar.setTime(result);
					Calendar now = Calendar.getInstance();
					calendar.set(now.get(Calendar.YEAR), now.get(Calendar.MONTH), now.get(Calendar.DAY_OF_MONTH));
					result = calendar.getTime();
				}
			}
		}
		return result;
	}

	@Override
	public String valueToString(Object value) throws ParseException {
		if (value == null) {
			return "";
		}

		DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.SHORT);

		return dateFormat.format(value);
	}

}
