/*
 * $Id$
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate$ $LastChangedBy$
 * $LastChangedRevision$
 */
package de.starface.examples.uci30.swing.view;

import de.starface.integration.uci.java.v30.types.Mailbox;

import org.apache.commons.lang3.StringUtils;

import java.awt.*;

import javax.swing.*;

/**
 * A list cell renderer that renders a list of mailboxes
 *
 * @author tilmann
 */
public class MailboxesListCellRenderer extends DefaultListCellRenderer {
	private static final long serialVersionUID = 1L;

	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
												  boolean cellHasFocus) {
		if (value instanceof Mailbox) {
			value = ((Mailbox) value).getName();
		} else if (!(value instanceof String) || StringUtils.isEmpty((String) value)) {
			value = " ";
		}
		return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
	}

}
