/*
 * Copyright (C) by STARFACE Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Oct 31, 2014 by pburlov
 */
package de.starface.examples.uci30.swing.view;

import de.starface.examples.uci30.swing.viewmodel.PermissionsViewModel;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

/**
 *
 */
public class PermissionsPanel extends JPanel {
	private static final long serialVersionUID = 1L;
	private JTextField tfPermissionName = new JTextField(20);
	private JButton btRequestPermission = new JButton("Request permission");

	private JButton btRequestPermissions = new JButton("Query permissions");
	private JList listPermissions = new JList();
	private PermissionsViewModel model;

	public PermissionsPanel() {
		setLayout(new BorderLayout());
		JPanel p = new JPanel();
		add(p, BorderLayout.NORTH);
		p.add(tfPermissionName);
		p.add(btRequestPermission);

		p = new JPanel();
		p.setLayout(new BorderLayout());
		add(p, BorderLayout.CENTER);
		p.add(btRequestPermissions, BorderLayout.NORTH);
		p.add(new JScrollPane(listPermissions), BorderLayout.CENTER);

		btRequestPermission.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				model.requestPermission(tfPermissionName.getText());
			}
		});
	}

	public void setViewModel(PermissionsViewModel model) {
		this.model = model;
		btRequestPermissions.addActionListener(model.getRequestPermissionsActionListener());
		listPermissions.setModel(model.getPermissionListModel());
	}
}
