/*
 * $Id$
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate$ $LastChangedBy$
 * $LastChangedRevision$
 */
package de.starface.examples.uci30.swing.view;

import de.starface.integration.uci.java.v30.values.RedirectSettingDestinationType;

import java.util.Vector;

import javax.swing.*;
import javax.swing.table.TableCellEditor;

/**
 * A table cell editor for the destination type property of redirect settings
 *
 * @author tilmann
 */
public class RedirectSettingsDestinationTypeCellEditor extends DefaultCellEditor implements TableCellEditor {
	private static final long serialVersionUID = 1L;

	public RedirectSettingsDestinationTypeCellEditor() {
		super(new JComboBox());
		final Vector<String> destinationTypeNames = new Vector<String>();
		for (final RedirectSettingDestinationType destinationType : RedirectSettingDestinationType.values()) {
			destinationTypeNames.add(destinationType.name());
		}
		((JComboBox) editorComponent).setModel(new DefaultComboBoxModel(destinationTypeNames));
	}
}
