/*
 * Copyright (C) by STARFACE Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Oct 31, 2014 by pburlov
 */
package de.starface.examples.uci30.swing.viewmodel;

import de.starface.integration.uci.java.v30.exceptions.UciException;
import de.starface.integration.uci.java.v30.messages.requests.UciSystemRequests;
import de.starface.integration.uci.v30.client.UciServiceRequests;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

import javax.swing.*;

/**
 *
 */
public class PermissionsViewModel {
	private UciSystemRequests uciSystemRequests;
	private DefaultListModel listPermissionsModel = new DefaultListModel();

	public void setUciServiceRequests(UciServiceRequests uciServiceRequests) throws UciException {
		this.uciSystemRequests = uciServiceRequests.getRequests(UciSystemRequests.class);
	}

	public ActionListener getRequestPermissionsActionListener() {
		return new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				doQueryPermissions();
			}
		};
	}

	public void requestPermission(String permissionName) {
		try {
			boolean result = uciSystemRequests.requestPermission(permissionName);
			System.out.format("Permission '%s' approved: %b", permissionName, result);
		} catch (UciException e) {
			e.printStackTrace();
		}
	}

	protected void doQueryPermissions() {
		try {
			List<String> permissions = uciSystemRequests.getPermissions("");
			listPermissionsModel.clear();
			for (String p : permissions) {
				listPermissionsModel.addElement(p);
			}
		} catch (UciException e) {
			e.printStackTrace();
		}

	}

	public ListModel getPermissionListModel() {
		return listPermissionsModel;
	}

}
