/*
 * Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.v22.client;

/**
 * An exception that is thrown if the configuration of a {@link UciProxy} or {@link UciProxyFactory}
 * fails.
 *
 * @author tilmann
 */
public class UciProxyConfigurationFailedException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new UciProxyConfigurationFailedException with the given detail message
	 *
	 * @see Exception#Exception(String)
	 * @param message
	 *        the detail message
	 */
	public UciProxyConfigurationFailedException(String message) {
		super(message);
	}

	/**
	 * Creates a new UciProxyConfigurationFailedException with the given detail message and cause
	 *
	 * @see Exception#Exception(String, Throwable)
	 * @param message
	 *        the detail message
	 * @param cause
	 *        the cause
	 */
	public UciProxyConfigurationFailedException(String message, Throwable cause) {
		super(message, cause);
	}
}
