/*
 * Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.v22.client.transport;

import java.lang.reflect.Method;

/**
 * This class defines the events provided by an {@link UcpTransport}
 *
 * @author tilmann
 */
public interface UcpTransportEvents {
	/**
	 * This event is send when a client's call to STARFACE through one of the requests proxies
	 * created by the transport fails.
	 *
	 * @param t
	 *        the throwable identifying the error
	 * @param rpcInterface
	 *        the requests interface that was called
	 * @param rpcMethod
	 *        the method of the interface that was called
	 */
	public void ucpRequestFailed(Throwable t, Class<?> rpcInterface, Method rpcMethod);
}
