/*
 * Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.v30.client.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * MD5 utility methods
 */
public class MD5 {
	private MD5() {
		// Do not make instances of this class
	}

	/**
	 * Computes an MD5 hash of the given input string
	 *
	 * @param input
	 *        the string to compute the MD5 hash of
	 * @return the MD5 hash of the input string
	 */
	public static String toMd5Digest(String input) {
		try {
			MessageDigest md = MessageDigest.getInstance("MD5");
			byte[] messageDigest = md.digest(input.getBytes());

			return toHexStr(messageDigest);
		} catch (NoSuchAlgorithmException e) {
			throw new IllegalStateException("Mesage Digest MD5 is not present", e);
		}
	}

	private static final char[] HEX_CHARS = "0123456789abcdef".toCharArray();

	private static String toHexStr(byte[] buf) {
		char[] chars = new char[2 * buf.length];
		for (int i = 0; i < buf.length; ++i) {
			chars[2 * i] = HEX_CHARS[(buf[i] & 0xF0) >>> 4];
			chars[2 * i + 1] = HEX_CHARS[buf[i] & 0x0F];
		}
		return new String(chars);
	}
}
