package de.starface.integration.uci.java.v22;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * This annotation marks an interface to be available as UCI service and defines the name of that
 * service.
 *
 * @author tilmann
 *
 */
@Documented
@Inherited
@Retention(value = RUNTIME)
@Target(value = {TYPE})
public @interface UciService {
	/**
	 * The name of the UCI service provided by the annotated type.
	 */
	String value();
}
