package de.starface.integration.uci.java.v22.exceptions;

/**
 * This exception indicates that the data to be accessed or function to be used is not allowed to be
 * accessed by the issuing a UCI request.
 *
 * @author tilmann
 *
 */
public class UciIllegalAccessException extends UciException {
	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new UciIllegalAccessException
	 */
	public UciIllegalAccessException() {
		super();
	}

	/**
	 * Creates a new UciIllegalAccessException with the given message.
	 *
	 * @param message
	 *        the message of the exception
	 */
	public UciIllegalAccessException(String message) {
		super(message);
	}

	/**
	 * Creates a new UciIllegalAccessException with the given message and cause.
	 *
	 * @param message
	 *        the message of the exception
	 * @param cause
	 *        the cause of the exception
	 */
	public UciIllegalAccessException(String message, Throwable cause) {
		super(message, cause);
	}
}
