/*
 * $Id: UcpUserStateEvents.java 642 2011-10-19 16:29:23Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/client/UcpClientCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-10-19 18:29:23 +0200 (Wed, 19 Oct 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 642 $
 */
package de.starface.integration.uci.java.v22.ucp.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v22.UciService;
import de.starface.integration.uci.java.v22.values.UserStateProperties;

import java.util.Map;

/**
 * This interface defines user state events that can be received by the UCI client implementation.
 *
 * @author tilmann
 */
@RpcInterface(UcpUserStateEvents.SERVICE_NAME)
@UciService(UcpUserStateEvents.SERVICE_NAME)
public interface UcpUserStateEvents {

	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v22.events.userState";

	/**
	 * This event allows the UCI client to get informed when the state of the current user changes.
	 *
	 * @param state
	 *        the new state of the user with a {@link Map} containing values for the keys defined in
	 *        {@link UserStateProperties}.
	 */
	@RpcAsynchronous
	public void userStateChanged(Map<String, Object> state);
}
