/*
 * $Id: MailboxProperties.java 477 2011-01-24 14:32:18Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * v21/MailboxProperties.java $
 * 
 * $LastChangedDate: 2011-01-24 15:32:18 +0100 (Mo, 24 Jan 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 477 $
 */
package de.starface.integration.uci.java.v22.values;

import de.starface.integration.uci.java.v22.ucp.messages.requests.UcpGroupRequests;

import java.util.List;
import java.util.Map;

/**
 * This enum holds constants with the proprty names of the group settings as returned by
 * {@link UcpGroupRequests#getGroupSettings()}
 *
 * @author tilmann
 */
public enum GroupSettingProperties {
	/** The id of the group as {@link String} */
	id(String.class),

	/** The display name of the group for the current user as {@link String} */
	name(String.class),

	/** A flag indicating if the user is currently logged on to the group or not */
	loggedOn(Boolean.class),

	/** The Id that can be used to log on to the group using the telephone */
	logonId(String.class),

	/**
	 * The phone numbers allocated to the group as {@link List} of {@link Map} with properties as
	 * defined in {@link PhoneNumberProperties}
	 */
	phoneNumbers(List.class);

	private Class<?> type;

	private GroupSettingProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}

}
