/*
 * $Id: UcpCallEvents.java 485 2011-01-31 14:52:54Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/client/UcpClientCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-01-31 15:52:54 +0100 (Mo, 31 Jan 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 485 $
 */
package de.starface.integration.uci.java.v30.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;
import de.starface.integration.uci.java.v30.types.CdrDataInfo;
import de.starface.integration.uci.java.v30.ucp.messages.events.UcpCallCdrEvents;

/**
 * This interface defines the cdr call events that can be received by a UCI client implementation in
 * order to handle cdrdata.
 *
 * @author dirk
 */
@UciService(UcpCallCdrEvents.SERVICE_NAME)
@RpcInterface(UcpCallCdrEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UciCdrDataEvents {
	/**
	 * This event provides Information about new CdrData to the UCI client
	 *
	 * @param cdrDataInfo
	 *        the newCallCdrEvent {@link CdrDataInfo}
	 */
	@RpcAsynchronous
	public void callCdrEvent(CdrDataInfo cdrDataInfo);
}
