/*
 * Copyright (c) 2016 by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *  
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS, USE,
 *  REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.integration.uci.java.v30.messages.requests;

import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;
import de.starface.integration.uci.java.v30.exceptions.UciException;
import de.starface.integration.uci.java.v30.ucp.messages.requests.UcpAccountRequests;

/**
 * This interface defines the requests used retrieve information of accounts.
 *
 * @author tpfeifer
 */
@RpcInterface(UcpAccountRequests.SERVICE_NAME)
@UciService(UcpAccountRequests.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION, automaticFileTransfer = true)
public interface UciAccountRequests {
	String getAvatarImageHashByLogin(String login) throws UciException;

	boolean getPasswordChangeRequired() throws UciException;

}
