package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.integration.uci.java.v30.messages.events.UciCdrDataEvents;

import java.io.Serializable;

/**
 * This object holds the properties of the cdr as returned by
 * {@link UciCdrDataEvents#callCdrEvent(CdrDataInfo)}.
 *
 * @author tilmann
 */
@RpcValueObject
public class CdrDataInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	@RpcValue
	private Long id;
	@RpcValue
	private Integer callStepId;
	@RpcValue
	private String callLegUUID;
	@RpcValue
	private Integer cdrAccountId;
	@RpcValue
	private Integer callerAccountId;
	@RpcValue
	private String callerCallerId;
	@RpcValue
	private Integer calledAccountId;
	@RpcValue
	private String calledCallerId;
	@RpcValue
	private Integer serviceId;
	@RpcValue
	private Long startTime;
	@RpcValue
	private Long ringingTime;
	@RpcValue
	private Long linkTime;
	@RpcValue
	private Long callResultTime;
	@RpcValue
	private String cdrCallResult;
	@RpcValue
	private Integer callResultCausedBy;
	@RpcValue
	private Integer lineId;
	@RpcValue
	private String lineName;
	@RpcValue
	private String callbackNumber;
	@RpcValue
	private String answeredElsewhere;
	@RpcValue
	private Boolean incoming;
	@RpcValue
	private Boolean answered;
	@RpcValue
	private Boolean voicemailAvailable;
	@RpcValue
	private Boolean monitorAvailable;
	@RpcValue
	private Boolean faxAvailable;
	@RpcValue
	private Boolean deleted;
	@RpcValue
	private Boolean privateCall;

	/**
	 * @return the callStepId
	 */
	public Integer getCallStepId() {
		return callStepId;
	}

	/**
	 * @param callStepId
	 *        the callStepId to set
	 */
	public void setCallStepId(Integer callStepId) {
		this.callStepId = callStepId;
	}

	/**
	 * @return the callLegUUID
	 */
	public String getCallLegUUID() {
		return callLegUUID;
	}

	/**
	 * @param callLegUUID
	 *        the callLegUUID to set
	 */
	public void setCallLegUUID(String callLegUUID) {
		this.callLegUUID = callLegUUID;
	}

	/**
	 * @return the cdrAccountId
	 */
	public Integer getCdrAccountId() {
		return cdrAccountId;
	}

	/**
	 * @param cdrAccountId
	 *        the cdrAccountId to set
	 */
	public void setCdrAccountId(Integer cdrAccountId) {
		this.cdrAccountId = cdrAccountId;
	}

	/**
	 * @return the callerAccountId
	 */
	public Integer getCallerAccountId() {
		return callerAccountId;
	}

	/**
	 * @param callerAccountId
	 *        the callerAccountId to set
	 */
	public void setCallerAccountId(Integer callerAccountId) {
		this.callerAccountId = callerAccountId;
	}

	/**
	 * @return the callerCallerId
	 */
	public String getCallerCallerId() {
		return callerCallerId;
	}

	/**
	 * @param callerCallerId
	 *        the callerCallerId to set
	 */
	public void setCallerCallerId(String callerCallerId) {
		this.callerCallerId = callerCallerId;
	}

	/**
	 * @return the calledAccountId
	 */
	public Integer getCalledAccountId() {
		return calledAccountId;
	}

	/**
	 * @param calledAccountId
	 *        the calledAccountId to set
	 */
	public void setCalledAccountId(Integer calledAccountId) {
		this.calledAccountId = calledAccountId;
	}

	/**
	 * @return the calledCallerId
	 */
	public String getCalledCallerId() {
		return calledCallerId;
	}

	/**
	 * @param calledCallerId
	 *        the calledCallerId to set
	 */
	public void setCalledCallerId(String calledCallerId) {
		this.calledCallerId = calledCallerId;
	}

	/**
	 * @return the serviceId
	 */
	public Integer getServiceId() {
		return serviceId;
	}

	/**
	 * @param serviceId
	 *        the serviceId to set
	 */
	public void setServiceId(Integer serviceId) {
		this.serviceId = serviceId;
	}

	/**
	 * @return the startTime
	 */
	public Long getStartTime() {
		return startTime;
	}

	/**
	 * @param startTime
	 *        the startTime to set
	 */
	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}

	/**
	 * @return the ringingTime
	 */
	public Long getRingingTime() {
		return ringingTime;
	}

	/**
	 * @param ringingTime
	 *        the ringingTime to set
	 */
	public void setRingingTime(Long ringingTime) {
		this.ringingTime = ringingTime;
	}

	/**
	 * @return the linkTime
	 */
	public Long getLinkTime() {
		return linkTime;
	}

	/**
	 * @param linkTime
	 *        the linkTime to set
	 */
	public void setLinkTime(Long linkTime) {
		this.linkTime = linkTime;
	}

	/**
	 * @return the callResultTime
	 */
	public Long getCallResultTime() {
		return callResultTime;
	}

	/**
	 * @param callResultTime
	 *        the callResultTime to set
	 */
	public void setCallResultTime(Long callResultTime) {
		this.callResultTime = callResultTime;
	}

	/**
	 * @return the cdrCallResult
	 */
	public String getCdrCallResult() {
		return cdrCallResult;
	}

	/**
	 * @param cdrCallResult
	 *        the cdrCallResult to set
	 */
	public void setCdrCallResult(String cdrCallResult) {
		this.cdrCallResult = cdrCallResult;
	}

	/**
	 * @return the callResultCausedBy
	 */
	public Integer getCallResultCausedBy() {
		return callResultCausedBy;
	}

	/**
	 * @param callResultCausedBy
	 *        the callResultCausedBy to set
	 */
	public void setCallResultCausedBy(Integer callResultCausedBy) {
		this.callResultCausedBy = callResultCausedBy;
	}

	/**
	 * @return the lineId
	 */
	public Integer getLineId() {
		return lineId;
	}

	/**
	 * @param lineId
	 *        the lineId to set
	 */
	public void setLineId(Integer lineId) {
		this.lineId = lineId;
	}

	/**
	 * @return the lineName
	 */
	public String getLineName() {
		return lineName;
	}

	/**
	 * @param lineName
	 *        the lineName to set
	 */
	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	/**
	 * @return the callbackNumber
	 */
	public String getCallbackNumber() {
		return callbackNumber;
	}

	/**
	 * @param callbackNumber
	 *        the callbackNumber to set
	 */
	public void setCallbackNumber(String callbackNumber) {
		this.callbackNumber = callbackNumber;
	}

	/**
	 * @return the answeredElsewhere
	 */
	public String getAnsweredElsewhere() {
		return answeredElsewhere;
	}

	/**
	 * @param answeredElsewhere
	 *        the answeredElsewhere to set
	 */
	public void setAnsweredElsewhere(String answeredElsewhere) {
		this.answeredElsewhere = answeredElsewhere;
	}

	/**
	 * @return the incoming
	 */
	public Boolean isIncoming() {
		return incoming;
	}

	/**
	 * @param incoming
	 *        the incoming to set
	 */
	public void setIncoming(Boolean incoming) {
		this.incoming = incoming;
	}

	/**
	 * @return the answered
	 */
	public Boolean isAnswered() {
		return answered;
	}

	/**
	 * @param answered
	 *        the answered to set
	 */
	public void setAnswered(Boolean answered) {
		this.answered = answered;
	}

	/**
	 * @return the voicemailAvailable
	 */
	public Boolean isVoicemailAvailable() {
		return voicemailAvailable;
	}

	/**
	 * @param voicemailAvailable
	 *        the voicemailAvailable to set
	 */
	public void setVoicemailAvailable(Boolean voicemailAvailable) {
		this.voicemailAvailable = voicemailAvailable;
	}

	/**
	 * @return the monitorAvailable
	 */
	public Boolean isMonitorAvailable() {
		return monitorAvailable;
	}

	/**
	 * @param monitorAvailable
	 *        the monitorAvailable to set
	 */
	public void setMonitorAvailable(Boolean monitorAvailable) {
		this.monitorAvailable = monitorAvailable;
	}

	/**
	 * @return the faxAvailable
	 */
	public Boolean isFaxAvailable() {
		return faxAvailable;
	}

	/**
	 * @param faxAvailable
	 *        the faxAvailable to set
	 */
	public void setFaxAvailable(Boolean faxAvailable) {
		this.faxAvailable = faxAvailable;
	}

	/**
	 * @return the deleted
	 */
	public Boolean isDeleted() {
		return deleted;
	}

	/**
	 * @param deleted
	 *        the deleted to set
	 */
	public void setDeleted(Boolean deleted) {
		this.deleted = deleted;
	}

	/**
	 * @return the privateCall
	 */
	public Boolean isPrivateCall() {
		return privateCall;
	}

	/**
	 * @param privateCall
	 *        the privateCall to set
	 */
	public void setPrivateCall(Boolean privateCall) {
		this.privateCall = privateCall;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *        the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((answered == null) ? 0 : answered.hashCode());
		result = prime * result + ((answeredElsewhere == null) ? 0 : answeredElsewhere.hashCode());
		result = prime * result + ((callLegUUID == null) ? 0 : callLegUUID.hashCode());
		result = prime * result + ((callResultCausedBy == null) ? 0 : callResultCausedBy.hashCode());
		result = prime * result + ((callResultTime == null) ? 0 : callResultTime.hashCode());
		result = prime * result + ((callStepId == null) ? 0 : callStepId.hashCode());
		result = prime * result + ((callbackNumber == null) ? 0 : callbackNumber.hashCode());
		result = prime * result + ((calledAccountId == null) ? 0 : calledAccountId.hashCode());
		result = prime * result + ((calledCallerId == null) ? 0 : calledCallerId.hashCode());
		result = prime * result + ((callerAccountId == null) ? 0 : callerAccountId.hashCode());
		result = prime * result + ((callerCallerId == null) ? 0 : callerCallerId.hashCode());
		result = prime * result + ((cdrAccountId == null) ? 0 : cdrAccountId.hashCode());
		result = prime * result + ((cdrCallResult == null) ? 0 : cdrCallResult.hashCode());
		result = prime * result + ((deleted == null) ? 0 : deleted.hashCode());
		result = prime * result + ((faxAvailable == null) ? 0 : faxAvailable.hashCode());
		result = prime * result + ((monitorAvailable == null) ? 0 : monitorAvailable.hashCode());
		result = prime * result + ((voicemailAvailable == null) ? 0 : voicemailAvailable.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((incoming == null) ? 0 : incoming.hashCode());
		result = prime * result + ((lineId == null) ? 0 : lineId.hashCode());
		result = prime * result + ((lineName == null) ? 0 : lineName.hashCode());
		result = prime * result + ((linkTime == null) ? 0 : linkTime.hashCode());
		result = prime * result + ((privateCall == null) ? 0 : privateCall.hashCode());
		result = prime * result + ((ringingTime == null) ? 0 : ringingTime.hashCode());
		result = prime * result + ((serviceId == null) ? 0 : serviceId.hashCode());
		result = prime * result + ((startTime == null) ? 0 : startTime.hashCode());
		return result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		CdrDataInfo other = (CdrDataInfo) obj;
		if (answered == null) {
			if (other.answered != null) {
				return false;
			}
		} else if (!answered.equals(other.answered)) {
			return false;
		}
		if (answeredElsewhere == null) {
			if (other.answeredElsewhere != null) {
				return false;
			}
		} else if (!answeredElsewhere.equals(other.answeredElsewhere)) {
			return false;
		}
		if (callLegUUID == null) {
			if (other.callLegUUID != null) {
				return false;
			}
		} else if (!callLegUUID.equals(other.callLegUUID)) {
			return false;
		}
		if (callResultCausedBy == null) {
			if (other.callResultCausedBy != null) {
				return false;
			}
		} else if (!callResultCausedBy.equals(other.callResultCausedBy)) {
			return false;
		}
		if (callResultTime == null) {
			if (other.callResultTime != null) {
				return false;
			}
		} else if (!callResultTime.equals(other.callResultTime)) {
			return false;
		}
		if (callStepId == null) {
			if (other.callStepId != null) {
				return false;
			}
		} else if (!callStepId.equals(other.callStepId)) {
			return false;
		}
		if (callbackNumber == null) {
			if (other.callbackNumber != null) {
				return false;
			}
		} else if (!callbackNumber.equals(other.callbackNumber)) {
			return false;
		}
		if (calledAccountId == null) {
			if (other.calledAccountId != null) {
				return false;
			}
		} else if (!calledAccountId.equals(other.calledAccountId)) {
			return false;
		}
		if (calledCallerId == null) {
			if (other.calledCallerId != null) {
				return false;
			}
		} else if (!calledCallerId.equals(other.calledCallerId)) {
			return false;
		}
		if (callerAccountId == null) {
			if (other.callerAccountId != null) {
				return false;
			}
		} else if (!callerAccountId.equals(other.callerAccountId)) {
			return false;
		}
		if (callerCallerId == null) {
			if (other.callerCallerId != null) {
				return false;
			}
		} else if (!callerCallerId.equals(other.callerCallerId)) {
			return false;
		}
		if (cdrAccountId == null) {
			if (other.cdrAccountId != null) {
				return false;
			}
		} else if (!cdrAccountId.equals(other.cdrAccountId)) {
			return false;
		}
		if (cdrCallResult == null) {
			if (other.cdrCallResult != null) {
				return false;
			}
		} else if (!cdrCallResult.equals(other.cdrCallResult)) {
			return false;
		}
		if (deleted == null) {
			if (other.deleted != null) {
				return false;
			}
		} else if (!deleted.equals(other.deleted)) {
			return false;
		}
		if (faxAvailable == null) {
			if (other.faxAvailable != null) {
				return false;
			}
		} else if (!faxAvailable.equals(other.faxAvailable)) {
			return false;
		}
		if (monitorAvailable == null) {
			if (other.monitorAvailable != null) {
				return false;
			}
		} else if (!monitorAvailable.equals(other.monitorAvailable)) {
			return false;
		}
		if (voicemailAvailable == null) {
			if (other.voicemailAvailable != null) {
				return false;
			}
		} else if (!voicemailAvailable.equals(other.voicemailAvailable)) {
			return false;
		}
		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (incoming == null) {
			if (other.incoming != null) {
				return false;
			}
		} else if (!incoming.equals(other.incoming)) {
			return false;
		}
		if (lineId == null) {
			if (other.lineId != null) {
				return false;
			}
		} else if (!lineId.equals(other.lineId)) {
			return false;
		}
		if (lineName == null) {
			if (other.lineName != null) {
				return false;
			}
		} else if (!lineName.equals(other.lineName)) {
			return false;
		}
		if (linkTime == null) {
			if (other.linkTime != null) {
				return false;
			}
		} else if (!linkTime.equals(other.linkTime)) {
			return false;
		}
		if (privateCall == null) {
			if (other.privateCall != null) {
				return false;
			}
		} else if (!privateCall.equals(other.privateCall)) {
			return false;
		}
		if (ringingTime == null) {
			if (other.ringingTime != null) {
				return false;
			}
		} else if (!ringingTime.equals(other.ringingTime)) {
			return false;
		}
		if (serviceId == null) {
			if (other.serviceId != null) {
				return false;
			}
		} else if (!serviceId.equals(other.serviceId)) {
			return false;
		}
		if (startTime == null) {
			if (other.startTime != null) {
				return false;
			}
		} else if (!startTime.equals(other.startTime)) {
			return false;
		}
		return true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "CdrDataInfo [id=" + id + ", callStepId=" + callStepId + ", callLegUUID=" + callLegUUID
			+ ", cdrAccountId=" + cdrAccountId + ", callerAccountId=" + callerAccountId + ", callerCallerId="
			+ callerCallerId + ", calledAccountId=" + calledAccountId + ", calledCallerId=" + calledCallerId
			+ ", serviceId=" + serviceId + ", startTime=" + startTime + ", ringingTime=" + ringingTime
			+ ", linkTime=" + linkTime + ", callResultTime=" + callResultTime + ", cdrCallResult=" + cdrCallResult
			+ ", callResultCausedBy=" + callResultCausedBy + ", lineId=" + lineId + ", lineName=" + lineName
			+ ", callbackNumber=" + callbackNumber + ", answeredElsewhere=" + answeredElsewhere + ", incoming="
			+ incoming + ", answered=" + answered + ", hasVoicemail=" + voicemailAvailable + ", hasMonitor="
			+ monitorAvailable + ", hasFax=" + faxAvailable + ", deleted=" + deleted + ", privateCall=" + privateCall + "]";
	}

}
