/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 *  
 *
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * This object holds the information of moved fax list entries
 */
@RpcValueObject
public class FaxListEntryMovedData implements Serializable {
    private static final long serialVersionUID = 8658635469435845L;
    
    @RpcValue(minVersion = 30)
    private FaxListEntry faxListEntry;
    
    public FaxListEntry getFaxListEntry() {
        return faxListEntry;
    }
    
    public void setFaxListEntry(FaxListEntry faxListEntry) {
        this.faxListEntry = faxListEntry;
    }
    
    @Override
    public String toString() {
        return "FaxListEntryMovedData{" +
                "faxListEntry=" + faxListEntry +
                '}';
    }
    
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        
        FaxListEntryMovedData that = (FaxListEntryMovedData) o;
        
        return faxListEntry != null ? faxListEntry.equals(that.faxListEntry) : that.faxListEntry == null;
        
    }
    
    @Override
    public int hashCode() {
        return faxListEntry != null ? faxListEntry.hashCode() : 0;
    }
}
