package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;
import java.util.List;

/**
 * Created by paul on 26.03.15.
 */
@RpcValueObject
public class GlobalLineConfiguration implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * Landesvorwahl ohne führende 00 oder +
	 */
	@RpcValue
	private String countryCode = null;

	/**
	 * Ortsvorwahl ohne fuehrende 0
	 */
	@RpcValue
	private String areaCode = null;

	/**
	 * Abwurfplatz
	 */
	@RpcValue
	private String deposit = null;

	/**
	 * Amtsholung
	 */
	@RpcValue
	private String externalPrefix;

	/**
	 * Country Code nach ISO 3166-1 Alpha-2 z.B. "DE"
	 */
	@RpcValue
	private String country;

	/**
	 * Liste von {@link InternalNumberBlock} der internen Rufnummerblöcke
	 */
	@RpcValue
	private List<InternalNumberBlock> localInternalNumberBlocks;

	/**
	 * Liste von {@link InternalNumberBlock} aller internen Rufnummerblöcke, die aus dem Anlagenverbund
	 * bekannt sind
	 */
	@RpcValue
	private List<InternalNumberBlock> federationInternalNumberBlocks;

	/**
	 * Liste mit Service- und Notrufnummer. Es koennen direkte Werte (z.B. 110) aber auch RegExp sein (z.B. 11[0]*)
	 */
	@RpcValue
	private List<String> serviceNumbers;

	@Override
	public String toString() {
		return "GlobalLineConfiguration [countryCode=" + countryCode + ", areaCode=" + areaCode + ", deposit="
			+ deposit + ", externalPrefix=" + externalPrefix + ", country=" + country
			+ ", localInternalNumberBlocks=" + localInternalNumberBlocks + ", federationInternalNumberBlocks="
			+ federationInternalNumberBlocks + ", serviceNumbers=" + serviceNumbers + "]";
	}

	public List<String> getServiceNumbers() {
		return serviceNumbers;
	}

	public void setServiceNumbers(List<String> serviceNumbers) {
		this.serviceNumbers = serviceNumbers;
	}

	public List<InternalNumberBlock> getLocalInternalNumberBlocks() {
		return localInternalNumberBlocks;
	}

	public void setLocalInternalNumberBlocks(List<InternalNumberBlock> localInternalNumberBlocks) {
		this.localInternalNumberBlocks = localInternalNumberBlocks;
	}

	public List<InternalNumberBlock> getFederationInternalNumberBlocks() {
		return federationInternalNumberBlocks;
	}

	public void setFederationInternalNumberBlocks(List<InternalNumberBlock> federationInternalNumberBlocks) {
		this.federationInternalNumberBlocks = federationInternalNumberBlocks;
	}

	public String getCountryCode() {
		return countryCode;
	}

	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}

	public String getAreaCode() {
		return areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	public String getDeposit() {
		return deposit;
	}

	public void setDeposit(String deposit) {
		this.deposit = deposit;
	}

	public String getExternalPrefix() {
		return externalPrefix;
	}

	public void setExternalPrefix(String externalPrefix) {
		this.externalPrefix = externalPrefix;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}
}
