/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 *  
 */
package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * This object holds information to register a SoftPhone for push notifications
 */
@RpcValueObject
public class PushNotificationSetting implements Serializable {
	private static final long serialVersionUID = 1L;

	@RpcValue(minVersion = 30)
	private String pushService;

	@RpcValue(minVersion = 30)
	private String pushToken;

	public PushNotificationSetting() {
		super();
	}
	
	public PushNotificationSetting(String pushService, String pushToken) {
		super();
		this.pushService = pushService;
		this.pushToken = pushToken;
	}

	public String getPushService() {
		return pushService;
	}

	public void setPushService(String pushService) {
		this.pushService = pushService;
	}

	public String getPushToken() {
		return pushToken;
	}

	public void setPushToken(String pushToken) {
		this.pushToken = pushToken;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (o == null || getClass() != o.getClass()) {
			return false;
		}

		PushNotificationSetting that = (PushNotificationSetting) o;

		if (pushService != null ? !pushService.equals(that.pushService) : that.pushService != null) {
			return false;
		}
		return pushToken != null ? pushToken.equals(that.pushToken) : that.pushToken == null;

	}

	@Override
	public int hashCode() {
		int result = pushService != null ? pushService.hashCode() : 0;
		result = 31 * result + (pushToken != null ? pushToken.hashCode() : 0);
		return result;
	}

	@Override
	public String toString() {
		final StringBuilder sb = new StringBuilder("PushNotificationSetting{");
		sb.append("pushService='").append(pushService).append('\'');
		sb.append(", pushToken='").append(pushToken).append('\'');
		sb.append('}');
		return sb.toString();
	}
}
