package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * Represents the state of an agent.
 *
 * @author mphilippi
 *
 */
@RpcValueObject
public class QueueAgentState extends UserState implements Serializable {

	public QueueAgentState() {
		super();
	}

	public QueueAgentState(int accountId, int qAccountId, boolean loggedIn, String name, UserState userState) {
		super();
		this.avatarHash = userState.avatarHash;
		this.chatPresence = userState.chatPresence;
		this.chatPresenceMessage = userState.chatPresenceMessage;
		this.doNotDisturbSetting = userState.doNotDisturbSetting;
		this.redirectAlwaysActive = userState.redirectAlwaysActive;
		this.telephonyState = userState.telephonyState;
		this.accountId = accountId;
		this.queueAccountId = qAccountId;
		this.loggedIn = loggedIn;
		this.name = name;
	}

	private static final long serialVersionUID = 1L;
	/**
	 * The accountId of the agent
	 */
	@RpcValue
	int accountId;
	/**
	 * The accountId of the queue
	 */
	@RpcValue
	int queueAccountId;

	/**
	 * True if the agent is logged in at the queue referenced with queueAccountId.
	 */
	@RpcValue
	boolean loggedIn;
	/**
	 * The name of the agent.
	 */
	@RpcValue
	String name;

	/**
	 * @return Returns the accountId.
	 */
	public int getAccountId() {
		return accountId;
	}

	/**
	 * @param accountId
	 *        The accountId to set.
	 */
	public void setAccountId(int accountId) {
		this.accountId = accountId;
	}

	/**
	 * @return Returns the qAccountId.
	 */
	public int getQueueAccountId() {
		return queueAccountId;
	}

	/**
	 * @param qAccountId
	 *        The qAccountId to set.
	 */
	public void setQueueAccountId(int qAccountId) {
		this.queueAccountId = qAccountId;
	}

	/**
	 * @return Returns the loggedIn.
	 */
	public boolean isLoggedIn() {
		return loggedIn;
	}

	/**
	 * @param loggedIn
	 *        The loggedIn to set.
	 */
	public void setLoggedIn(boolean loggedIn) {
		this.loggedIn = loggedIn;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *        The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

}
