package de.starface.integration.uci.java.v30.types;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

import java.io.Serializable;

/**
 * Created by tpfeifer on 11.11.15.
 */
@RpcValueObject
public class WebServerConfiguration implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * HTTP Port
	 */
	@RpcValue
	private int httpPort = 80;

	/**
	 * HTTPS Port
	 */
	@RpcValue
	private int httpsPort = 443;

	/**
	 * HTTP Aktiv
	 */
	@RpcValue
	private boolean httpActive = true;

	/**
	 * HTTPS Aktiv
	 */
	@RpcValue
	private boolean httpsActive = false;

	/**
	 * Umleitung auf HTTPS erzwingen
	 */
	@RpcValue
	private boolean redirectHttpToHttpsActive = false;

	public int getHttpPort() {
		return httpPort;
	}

	public void setHttpPort(int httpPort) {
		this.httpPort = httpPort;
	}

	public int getHttpsPort() {
		return httpsPort;
	}

	public void setHttpsPort(int httpsPort) {
		this.httpsPort = httpsPort;
	}

	public boolean isHttpActive() {
		return httpActive;
	}

	public void setHttpActive(boolean httpActive) {
		this.httpActive = httpActive;
	}

	public boolean isHttpsActive() {
		return httpsActive;
	}

	public void setHttpsActive(boolean httpsActive) {
		this.httpsActive = httpsActive;
	}

	public boolean isRedirectHttpToHttpsActive() {
		return redirectHttpToHttpsActive;
	}

	public void setRedirectHttpToHttpsActive(boolean redirectHttpToHttpsActive) {
		this.redirectHttpToHttpsActive = redirectHttpToHttpsActive;
	}

	@Override
	public String toString() {
		return "WebServerConfiguration [httpPort=" + httpPort + ", httpsPort=" + httpsPort + ", httpActive="
			+ httpActive + ", httpsActive=" + httpsActive + ", redirectHttpToHttpsActive="
			+ redirectHttpToHttpsActive + "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + (httpActive ? 1231 : 1237);
		result = prime * result + httpPort;
		result = prime * result + (httpsActive ? 1231 : 1237);
		result = prime * result + httpsPort;
		result = prime * result + (redirectHttpToHttpsActive ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		WebServerConfiguration other = (WebServerConfiguration) obj;
		if (httpActive != other.httpActive) {
			return false;
		}
		if (httpPort != other.httpPort) {
			return false;
		}
		if (httpsActive != other.httpsActive) {
			return false;
		}
		if (httpsPort != other.httpsPort) {
			return false;
		}
		if (redirectHttpToHttpsActive != other.redirectHttpToHttpsActive) {
			return false;
		}
		return true;
	}

}
