package de.starface.integration.uci.java.v30.ucp.exceptions;

import de.starface.integration.uci.java.v30.exceptions.UciException;

/**
 * This message is thrown during an UCP procedure call if the call is only permitted for an active
 * connection and no such connection has been established.
 *
 * @author tilmann
 *
 */
public class UcpNotConnectedException extends UciException {
	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new UcpNotConnectedException with the given message and cause.
	 */
	public UcpNotConnectedException() {
		super();
	}

	/**
	 * Creates a new UcpNotConnectedException with the given message and cause.
	 *
	 * @param message
	 *        the message of the exception
	 */
	public UcpNotConnectedException(String message) {
		super(message);
	}

	/**
	 * Creates a new UcpNotConnectedException with the given message and cause.
	 *
	 * @param message
	 *        the message of the exception
	 * @param cause
	 *        the cause of the exception
	 */
	public UcpNotConnectedException(String message, Throwable cause) {
		super(message, cause);
	}
}
