/*
 * Copyright (c) 2016 by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *  
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS, USE,
 *  REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

package de.starface.integration.uci.java.v30.ucp.messages.requests;

import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.exceptions.UciException;

/**
 * This interface defines the requests used retrieve information of accounts.
 *
 * @author tpfeifer
 */
@UciService(UcpAccountRequests.SERVICE_NAME)
@RpcInterface(UcpAccountRequests.SERVICE_NAME)
public interface UcpAccountRequests {

	/** The UCI service name used for this interface */
	String SERVICE_NAME = "ucp.v30.requests.account";

	String getAvatarImageHashByLogin(String login) throws UciException;

	boolean getPasswordChangeRequired() throws UciException;
}
