package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.requests.UcpFunctionKeyRequests;

/**
 * This enum holds constants with the property names of an ongoing call as returned by the request
 * {@link UcpFunctionKeyRequests#getCallInfoForKey(String)}
 *
 * @author tilmann
 */
public enum CallInfoProperties {

	/** The state of the call with one of the values of {@link CallInfoState} as {@link String} */
	state(String.class),

	/** The duration the call is going on in seconds as {@link Integer} */
	duration(Integer.class),

	/** The number of the other call participant as {@link String} */
	number(String.class),

	/** A description of the call (usually the CLIP), if known as {@link String} */
	description(String.class);

	private Class<?> type;

	private CallInfoProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}

}
