package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.events.UcpCallEvents;

/**
 * This enum holds constants with the property names of the call as returned by
 * {@link UcpCallEvents#receiveCallState(java.util.Map)}.
 *
 * @author tilmann
 */
public enum CcbsAccountProperties {
	/** The state of the call as {@link String} by name defined in {@link CallState} */
	ccbsAccountState(String.class);

	private Class<?> type;

	private CcbsAccountProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
