package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.events.UcpCallCdrEvents;

/**
 * This enum holds constants with the property names of the cdrData as returned by
 * {@link UcpCallCdrEvents#callCdrEvent(java.util.Map)}.
 *
 * @author tilmann
 */
public enum CdrDataProperties {
	id(Long.class),
	callStepId(Integer.class),
	callLegUUID(String.class),
	cdrAccountId(Integer.class),
	callerAccountId(Integer.class),
	callerCallerId(String.class),
	calledAccountId(Integer.class),
	calledCallerId(String.class),
	serviceId(Integer.class),
	startTime(Long.class),
	ringingTime(Long.class),
	linkTime(Long.class),
	callResultTime(Long.class),
	cdrCallResult(String.class),
	callResultCausedBy(Integer.class),
	lineId(Integer.class),
	lineName(String.class),
	callbackNumber(String.class),
	answeredElsewhere(String.class),
	incoming(Boolean.class),
	answered(Boolean.class),
	voicemailAvailable(Boolean.class),
	monitorAvailable(Boolean.class),
	faxAvailable(Boolean.class),
	deleted(Boolean.class),
	privateCall(Boolean.class);

	private Class<?> type;

	private CdrDataProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
