/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 *  
 *
 */
package de.starface.integration.uci.java.v30.values;

import java.util.Map;

/**
 * This enum holds constants with the property names of the moved fax list entries containing
 * the faxCdrId and the new folder of the moved entry
 */
public enum FaxListEntryMovedDataProperties
{
	/**
	 * The new fax list entry as {@link Map} containing values for the fax list entries defined in
	 * {@link FaxListEntryProperties}
	 */
	faxListEntry(Map.class);
	
	
	private Class<?> type;
	
	private FaxListEntryMovedDataProperties(Class<?> type)
	{
		this.type = type;
	}
	
	/**
	 * @return the java type of the property
	 */
	public Class<?> getType()
	{
		return type;
	}
	
}
