package de.starface.integration.uci.java.v30.values;

import java.util.List;
import java.util.UUID;

/**
 * This enum holds constants with the property names of the function keys search result as returned
 * by
 * {@link de.starface.integration.uci.java.v30.ucp.messages.requests.UcpFunctionKeyRequests#searchFunctionKeys(String, String)}
 * .
 */
public enum FunctionKeySearchProperties {
	/** The id of this searchResult as {@link UUID}. */
	searchId(UUID.class),

	/** The list of {@link de.starface.integration.uci.java.v30.types.FunctionKey} objects. */
	resultList(List.class),

	/** The searchTerm as {@link String}. */
	searchTerm(String.class);

	private Class<?> _type;

	private FunctionKeySearchProperties(Class<?> type) {
		this._type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return _type;
	}
}
