/*
 * $Id$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL: http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/starface/integration/uci/v21/
 * RedirectSettingType.java $
 * 
 * $LastChangedDate$ $LastChangedBy$
 * $LastChangedRevision$
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the redirect setting property
 * {@link RedirectSettingProperties#type}.
 *
 * @author tilmann
 */
public enum RedirectSettingType {
	/** Incoming calls will always be redirected */
	ALWAYS,

	/** Incoming calls will be redirected if the user is busy */
	BUSY,

	/**
	 * Incoming calls will be redirected if the user does not answer for the timeout given in
	 * RedirectSettingProperties#timeout
	 */
	TIMEOUT
}
