/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE SOFTWARE. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 *  
 *
 */
package de.starface.integration.uci.java.v30.values;

import java.util.Map;

/**
 * This enum holds constants with the property names of the moved fax list entries containing
 * the faxCdrId and the new folder of the moved entry
 */
public enum VoicemailListEntryMovedDataProperties
{
	/**
	 * The old id of the voicemail list entry as {@link String}
	 */
	oldVoicemailId(String.class),
	
	/**
	 * The new voicemail list entry as {@link Map}  containing values for the voicemail list entries defined in 
	 * {@link VoicemailListEntryProperties}
	 */
	voicemailListEntry(Map.class);
	
	private Class<?> type;
	
	private VoicemailListEntryMovedDataProperties(Class<?> type)
	{
		this.type = type;
	}
	
	/**
	 * @return the java type of the property
	 */
	public Class<?> getType()
	{
		return type;
	}
	
}
